/***************************************************************************
                          303_device.cpp  -  description
                             -------------------
    begin                : Wed Jul 10 2002
    copyright            : (C) 2002 by red
    email                : red@server
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "303_device.h"

string TB303_Device::get_name() {

	return "TB303";
}

Bank * TB303_Device::create_bank() {

	return new TB303_Bank; //when legasynth creates a bank, we give it THIS!
}
PropertyList * TB303_Device::get_configuration() {

	return NULL; //we proovide no global configuration
}
bool TB303_Device::recognize_bank(string p_file) {

	return false; //whathever it is this bank, we read no banks, so we dont recognize it
}
bool TB303_Device::recognize_patch(string p_file) {

	return false; //whathever it is this patch, we read no patches, so we dont recognize it
}

vector<string> TB303_Device::get_recognized_file_extensions_list() {

	vector<string> stuff;
	stuff.push_back(".303"); //but we recognize files of type ".sine" (yeah right ;)
 	return stuff;
}


TB303_Device::TB303_Device(){
}
TB303_Device::~TB303_Device(){
}
