/***************************************************************************
                          dx7_bank.h  -  description
                             -------------------
    begin                : Fri Jul 5 2002
    copyright            : (C) 2002 by red
    email                : red@server
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DX7_BANK_H
#define DX7_BANK_H

#include "bank.h"
#include "dx7_voice.h"
/**
  *@author red
  */

class Dx7_Bank : public Bank {


 	vector<Dx7_Voice::Data> patch_data;
 	vector<string> patch_name;
	Bank * get_drums_bank() { return new Dx7_Bank; };
	string get_model_name_base() { return "DX7"; };	
 	Voice * get_voice_internal(int p_patch);
  
public:

	PropertyList * get_patch_properties(int p_patch);

	~Dx7_Bank();
	Dx7_Bank();
	
	bool load_file(string p_file, int p_offset=0);
	bool load_patch(string p_file, int p_index) { return false; }	
        string get_patch_name(int p_index);
 	void set_patch_name(int p_index,string p_name);
};

#endif
