/***************************************************************************
                          dx7_device.h  -  description
                             -------------------
    begin                : Sat Jul 6 2002
    copyright            : (C) 2002 by red
    email                : red@server
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DX7_DEVICE_H
#define DX7_DEVICE_H

#include "device.h"
#include "dx7_bank.h"
/**
  *@author red
  */

class Dx7_Device : public Device {
public: 
        string get_name() { return "Yamaha DX7"; }
        Bank *create_bank();
	PropertyList * get_configuration() { return NULL; }; //if you dont want it to be configured, return null
        bool recognize_bank(string p_file);
        virtual vector<string> get_recognized_file_extensions_list();
	Dx7_Device();
	~Dx7_Device();
};

#endif
