/***************************************************************************
                          sine_device.cpp  -  description
                             -------------------
    begin                : Wed Jul 10 2002
    copyright            : (C) 2002 by red
    email                : red@server
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "sine_device.h"

string SINE_Device::get_name() {

	return "Evil SineWave";
}

Bank * SINE_Device::create_bank() {

	return new SINE_Bank; //when legasynth creates a bank, we give it THIS!
}
PropertyList * SINE_Device::get_configuration() {

	return NULL; //we proovide no global configuration
}
bool SINE_Device::recognize_bank(string p_file) {

	return false; //whathever it is this bank, we read no banks, so we dont recognize it
}
bool SINE_Device::recognize_patch(string p_file) {

	return false; //whathever it is this patch, we read no patches, so we dont recognize it
}

vector<string> SINE_Device::get_recognized_file_extensions_list() {

	vector<string> stuff;
	stuff.push_back(".sine"); //but we recognize files of type ".sine" (yeah right ;)
 	return stuff;
}


SINE_Device::SINE_Device(){
}
SINE_Device::~SINE_Device(){
}
