/***************************************************************************
                          sid_device.h  -  description
                             -------------------
    begin                : Wed Jul 10 2002
    copyright            : (C) 2002 by red
    email                : red@server
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef OPN_DEVICE_H
#define OPN_DEVICE_H

#include "device.h"
#include "ym2x_bank.h"

/**
  *@author red
  */

class OPN_Device : public Device  {
public:



	string get_name();
	Bank * create_bank();
	PropertyList * get_configuration();

	bool recognize_patch(string p_file);
	vector<string> get_recognized_file_extensions_list();

	OPN_Device();
	~OPN_Device();
};

#endif
