/***************************************************************************
                          interface_callbacks_config.cpp  -  description
                             -------------------
    begin                : Sat Jul 6 2002
    copyright            : (C) 2002 by red
    email                : red@server
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "interface.h"


void Interface::on_checkbutton_config_output_16bits_toggled()
{
        if (updating_config) return;

	driver_manager->request_mix_16bits(checkbutton_config_output_16bits->get_active());
	interface_update_config();
}

void Interface::on_checkbutton_config_output_stereo_toggled()
{
        if (updating_config) return;

	driver_manager->request_mix_stereo(checkbutton_config_output_stereo->get_active());
	interface_update_config();
	
}

void Interface::on_radiobutton_config_output_enabled_clicked()
{
        if (updating_config) return;
        printf("reset\n");
	

}

void Interface::on_radiobutton_config_output_disabled_toggled()
{
// printf("tooooooooooooggle!\n");
        if (updating_config) return;
	if (radiobutton_config_output_disabled->get_active()) {

		driver_manager->stop_active_driver();
	} else {

		driver_manager->reset_active_driver();
	}

	interface_update_config();
}

void Interface::on_radiobutton_config_output_disabled_clicked()
{

        printf("shutdown\n");



}
void Interface::on_optionmenu_config_output_frequency_changed() {
        if (updating_config) return;

	driver_manager->request_mix_frequency( atoi(optionmenu_config_output_frequency->get_entry()->get_text().c_str() ));
}

void Interface::on_combo_config_buffersize_changed() {
        if (updating_config) return;

	driver_manager->request_buffer_size( atoi(combo_config_buffersize->get_entry()->get_text().c_str() ));
}

void Interface::on_clist_config_audio_driver_list_select_row(gint row, gint column, GdkEvent *event)
{
        if (updating_config) return;

	driver_manager->set_active_driver(row);
	interface_update_config();
	
}
void Interface::on_scale_config_preamp_changed() {

	mixer->set_preamp(scale_config_preamp_adj->get_value());
}
void Interface::on_spinbutton_config_drums_channel_changed() {

	midi_event->set_drums_channel(spinbutton_config_drums_channel_adj->get_value());
}

void Interface::on_button_config_output_log_file_name_browse_clicked()
{
}

void Interface::on_clist_config_synth_engine_list_select_row(gint row, gint column, GdkEvent *event)
{
}

void Interface::on_spinbutton_config_gui_refresh_rate_changed()
{
}

void Interface::on_chorus_parameters_changed() {
        if (updating_config) return;
	mixer->set_chorus_params(hscale6_adj->get_value(),hscale_config_chorus_speed_adj->get_value(),hscale_config_chorus_depth_adj->get_value(),hscale_config_chorus_feedback_adj->get_value(),hscale_config_chorus_width_adj->get_value());

}

void Interface::on_reverb_parameters_changed() {

        if (updating_config) return;

	mixer->set_reverb_params(hscale_config_reverb_room_adj->get_value(),hscale_config_reverb_damp_adj->get_value(),hscale_config_reverb_wet_adj->get_value(),hscale_config_reverb_dry_adj->get_value(),hscale_config_reverb_width_adj->get_value());

}

