/***************************************************************************
                          interface_widget_optionselect.cpp  -  description
                             -------------------
    begin                : Sat Jul 6 2002
    copyright            : (C) 2002 by red
    email                : red@server
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "interface_widget_optionselect.h"

void Interface_Widget_OptionSelect::menu_option_selected(int p_which) {

	selected_option=p_which;
	selected.emit();
}

int Interface_Widget_OptionSelect::get_option_selected() {

	return selected_option;

}
void Interface_Widget_OptionSelect::add_option(string p_option) {

	Gtk::MenuItem *newitem = new Gtk::MenuItem(p_option);
        menu.append(*newitem);
	newitem->show();        	
        menu_item_list.push_back(newitem);
        select_option(menu_item_list.size()-1);
	newitem->activate.connect(SigC::bind<int>(SigC::slot(this,&Interface_Widget_OptionSelect::menu_option_selected),menu_item_list.size()-1));
 	
	
}
void Interface_Widget_OptionSelect::select_option(int p_index) {

        if (p_index<0) return;
        if (p_index>=menu_item_list.size()) return;
	menu.select_item(*menu_item_list[p_index]);
	menu.activate_item(*menu_item_list[p_index],true);
        selected_option=p_index;
}



Interface_Widget_OptionSelect::Interface_Widget_OptionSelect(){


	menu.show();
	set_menu(menu);

}

Interface_Widget_OptionSelect::~Interface_Widget_OptionSelect(){
}
