/***************************************************************************
                          interface_widget_voice_preview.h  -  description
                             -------------------
    begin                : Thu Jul 18 2002
    copyright            : (C) 2002 by red
    email                : red@server
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef INTERFACE_WIDGET_VOICE_PREVIEW_H
#define INTERFACE_WIDGET_VOICE_PREVIEW_H


/**
  *@author red
  */
#include <gtk--/drawingarea.h>
#include <vector>
#include "typedefs.h"
#include "voice.h"
/**
  *@author red
  */

class Interface_Widget_Voice_Preview : public Gtk::DrawingArea {

	int size;
        gint expose_event_impl(GdkEventExpose *event);
	Gdk_GC bgcol, fgcol,sepcol;
	Gdk_Color fg,bg,sep;

 	void realize_callback();

  	vector<Sint32> data;
   	Voice *voice;

	int zoom;  
public:

	void render_voice(Voice *p_voice, int p_mixfreq);
	void set_zoom(int p_zoom);

	Interface_Widget_Voice_Preview();
	~Interface_Widget_Voice_Preview();
};


#endif
