/*===========================================================================
                          popups.h  -  description
                             -------------------
    begin                : Sun May 26 2002
    copyright            : (C) 2002 by CODENIX
    email                : info@codenix.com.ar
============================================================================*/


#ifndef POPUPS_H
#define POPUPS_H

#include <gtk--/window.h>
#include <gtk--/button.h>
#include <gtk--/box.h>
#include <gtk--/frame.h>
#include <gtk--/main.h>
#include <gtk--/fileselection.h>
#include <gtk--/dialog.h>
#include <gtk--/spinbutton.h>
#include <gtk--/adjustment.h>
#include <gtk--/menu.h>
#include <gtk--/separator.h>
#include <gtk--/table.h>
#include <gtk--/fontselection.h>
#include <gtk--/text.h>
#include <gtk--/clist.h>
#include <gtk--/pixmap.h>
#include <gtk--/scrolledwindow.h>
#include <stdio.h>
#include <unistd.h>
#include "typedefs.h"
#include <string>
#include <vector>
/**
  *@author CODENIX
  */

class Dialog_OkCancel : public Gtk::Dialog {

	Gtk::Button button;
	Gtk::Button button2;

	Gtk::Label *label;

	Dialog_OkCancel() {};

        void button_ok_pressed();
        void button_cancel_pressed();

       	gint delete_event_impl(GdkEventAny* p_event) {

		action=CANCEL;
		return 1;
	}

	int action;
public:

	enum actions {

		WAITING,
		OK,
		CANCEL
	};

	int get_action() { return action; };

	Dialog_OkCancel(string p_label_text,Gtk::Main &p_kit);
	~Dialog_OkCancel();
	

};


class File_Access_Widget : public Gtk::FileSelection {

	int current_mode;
	int action;
        Gtk::Main *kit;
public:
	enum modes {

		SAVE,
		LOAD,
  		LOAD_MANY
	};

	enum actions {
                WAITING,
		OK,
		CANCEL
	};

        struct FilterRule {

		vector<string> rules;
  		string description;
        };

	gint delete_event_impl(GdkEventAny* p_event) {

		action=CANCEL;
		return 1;
	}

 	SigC::Signal1<void,string> make_default;

	void set_mode(int p_mode);
	void button_ok_pressed();
	void button_cancel_pressed();

        int get_action () {  return action; };

// 	std::list<std::string> get_list_of_filenames();

	void poll_until_action(Gtk::Main &p_kit);


 	void add_filter_rule(FilterRule &filter_rule);

	File_Access_Widget();
	~File_Access_Widget();

};

#endif
