/***************************************************************************
                          device.h  -  description
                             -------------------
    begin                : Sat Jul 6 2002
    copyright            : (C) 2002 by red
    email                : red@server
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DEVICE_H
#define DEVICE_H

#include "bank.h"
/**
  *@author red
  */

class Device {
public:
        virtual string get_name() =0;
        virtual Bank * create_bank() =0;
	virtual PropertyList * get_configuration() { return NULL; }; //if you dont want it to be configured, return null
	virtual bool recognize_bank(string p_file) {  return false; }; //TRUE on error (cant load)
	virtual bool recognize_patch(string p_file) {  return false; }; //TRUE on error (cant load)
 	virtual vector<string> get_recognized_file_extensions_list() { vector<string> blah; return blah; } //otherwise it crashes
	Device();
	virtual ~Device();
};

#endif
