/***************************************************************************
                          303_device.h  -  description
                             -------------------
    begin                : Wed Jul 10 2002
    copyright            : (C) 2002 by red
    email                : red@server
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TB303_DEVICE_H
#define TB303_DEVICE_H

#include "device.h"
#include "303_bank.h"

/**
  *@author red
  */

class TB303_Device : public Device  {
public:



	string get_name(); //Full name for the engine
	Bank * create_bank(); //return a bank
	PropertyList * get_configuration(); //return a global configuration (NULL for none)
	bool recognize_bank(string p_file);
	bool recognize_patch(string p_file);
	vector<string> get_recognized_file_extensions_list();

	TB303_Device();
	~TB303_Device();
};

#endif
