/***************************************************************************
                          dx7_device.cpp  -  description
                             -------------------
    begin                : Sat Jul 6 2002
    copyright            : (C) 2002 by red
    email                : red@server
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "dx7_device.h"



Bank * Dx7_Device::create_bank() {
	//nothing much for now
	return new Dx7_Bank;
}

Dx7_Device::Dx7_Device(){
}
Dx7_Device::~Dx7_Device(){
}


vector<string> Dx7_Device::get_recognized_file_extensions_list() {

	vector<string> blah;
 	blah.push_back(".syx");
  	return blah;
}

/* syx loading crapness */
bool Dx7_Device::recognize_bank(string p_file) {

	FILE *in;
	int numsamples;
	unsigned char aux_buf[100];


	in=fopen(p_file.c_str(),"rb");

	if (in==NULL) {


		return false;
	}


	fread(aux_buf,6,1,in);

	if ( (aux_buf[0]!=0xF0) || (aux_buf[1]!=0x43) || (aux_buf[2]!=0x00) ) {


		fclose(in);
		return false;
	}

	if (aux_buf[3]==0x00) {

		numsamples=1; //1 sample


	} else if (aux_buf[3]==0x09) {

		numsamples=32; //32 samples

	} else {


		fclose(in);
		return false;
	}
 	printf("recognized syx file\n");
	return true;
}
