/***************************************************************************
                          sid_bank.h  -  description
                             -------------------
    begin                : Wed Jul 10 2002
    copyright            : (C) 2002 by red
    email                : red@server
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SID_BANK_H
#define SID_BANK_H

#include "bank.h"
#include "sid_voice.h"
/**
  *@author red
  */

class SID_Bank : public Bank  {


        Bank * get_drums_bank() { return new SID_Bank; }
 	vector<string> patch_name;
 	vector<SID_Voice::Data> patch_data;
	string get_model_name_base() { return "SID"; }
	Voice * get_voice_internal(int p_patch);

public:


	PropertyList * get_patch_properties(int p_patch);

	string get_patch_name(int p_index);
	void set_patch_name(int p_index,string p_name);
	bool load_file(string p_file, int p_offset=0);
	bool load_patch(string p_file, int p_index) { return false; }


	SID_Bank();
	~SID_Bank();
};

#endif
