/***************************************************************************
                          sine_bank.h  -  description
                             -------------------
    begin                : Wed Jul 10 2002
    copyright            : (C) 2002 by red
    email                : red@server
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SINE_BANK_H
#define SINE_BANK_H

#include "bank.h"
#include "sine_voice.h"
/**
  *@author red
  */

class SINE_Bank : public Bank  {


        virtual Bank * get_drums_bank() { return new SINE_Bank; } //When Bank requieres to create a drums bank, we'll give it this
 	vector<string> patch_name; //We'll have a list of patch names
 	vector<SINE_Voice::Data> patch_data; //And the list of DATA! for each
	string get_model_name_base() { return "SIN"; } //not a must, but if the bank type description is 3 letters, i'll be happy :-D
	virtual Voice * get_voice_internal(int p_patch); //this virtual function will ask us a voice for playing

public:


	PropertyList * get_patch_properties(int p_patch); //we return a "property list", a file with pointers to config options

	string get_patch_name(int p_index); //we return a patch name
	void set_patch_name(int p_index,string p_name); //we set a patch name

	
	SINE_Bank();
	~SINE_Bank();
};

#endif
