/***************************************************************************
                          sid_bank.h  -  description
                             -------------------
    begin                : Wed Jul 10 2002
    copyright            : (C) 2002 by red
    email                : red@server
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef OPN_BANK_H
#define OPN_BANK_H

#include "bank.h"
#include "ym2x_voice.h"
/**
  *@author red
  */

class OPN_Bank : public Bank  {

        Bank * get_drums_bank() { return new OPN_Bank; }

 	vector<string> patch_name;
 	vector<OPN_Voice::Data> patch_data;
	string get_model_name_base() { return "Y2X"; }
	Voice * get_voice_internal(int p_patch);	
public:


	PropertyList * get_patch_properties(int p_patch);


	string get_patch_name(int p_index);
	void set_patch_name(int p_index,string p_name);
	bool load_file(string p_file, int p_offset=0);
	bool load_patch(string p_file, int p_index);


	OPN_Bank();
	~OPN_Bank();
};

#endif
