/***************************************************************************
                          sid_device.cpp  -  description
                             -------------------
    begin                : Wed Jul 10 2002
    copyright            : (C) 2002 by red
    email                : red@server
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "ym2x_devoce.h"
#include "fm.h"

string OPN_Device::get_name() {

	return "Yamaha 2xxx";
}

Bank * OPN_Device::create_bank() {

	return new OPN_Bank;
}
PropertyList * OPN_Device::get_configuration() {

	return NULL;
}


bool OPN_Device::recognize_patch(string p_file) {

	char str[5];
	FILE *f;
	str[4]=0;

	f=fopen(p_file.c_str(),"rb");
	if (f==NULL) return false;
        printf("recognize %s\n",p_file.c_str());
	fread(str,1,4,f);
        fclose(f);
        return ((string)str=="2XXX");
}

vector<string> OPN_Device::get_recognized_file_extensions_list() {

	vector<string> ha;
	ha.push_back(".sgb");
 	return ha;
}


OPN_Device::OPN_Device(){

	FMInitTable();
}
OPN_Device::~OPN_Device(){

	FMCloseTable();
}
