/***************************************************************************
                          interface_widget_optionselect.h  -  description
                             -------------------
    begin                : Sat Jul 6 2002
    copyright            : (C) 2002 by red
    email                : red@server
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef INTERFACE_WIDGET_OPTIONSELECT_H
#define INTERFACE_WIDGET_OPTIONSELECT_H

#include <gtk--/optionmenu.h>
#include <gtk--/menu.h>
#include <gtk--/menuitem.h>
#include <vector>
/**
  *@author red
  */

class Interface_Widget_OptionSelect : public Gtk::OptionMenu  {

	Gtk::Menu menu;
 	int selected_option;
  	vector<Gtk::MenuItem*> menu_item_list;

  	void menu_option_selected(int p_which);
public:
        SigC::Signal0<void> selected;
        
	int get_option_selected();
 	void add_option(string p_option);
 	void select_option(int p_index);

  	//need to add one for XPMs
	
	Interface_Widget_OptionSelect();
	~Interface_Widget_OptionSelect();
};

#endif
