/***************************************************************************
                          audio_manager.h  -  description
                             -------------------
    begin                : Tue Jul 16 2002
    copyright            : (C) 2002 by red
    email                : red@server
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef AUDIO_MANAGER_H
#define AUDIO_MANAGER_H


#include <sigc++/signal_system.h>
#include <sigc++/bind.h>

#include "sound_driver_manager.h"
#include "midi_client.h"

/**
  *@author red
  */

class Audio_Manager : public SigC::Object  {

	//due to the designs of some stuff, the audio driver decides when to process midi. fun, isnt it?
	void process_midi();

public:

	Sound_Driver_Manager driver_manager;
	Midi_Client *midi_client;


	void external_update();
	Audio_Manager();
	~Audio_Manager();
};

#endif
