/***************************************************************************
                             -------------------
    begin                : Sun Mar 18 2001
    copyright            : (C) 2001 by Juan Linietsky
    email                : reduz@anime.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "win32_client.h"

#ifdef WIN32_ENABLED


DWORD Win32_Client::buffer[Win32_Client::BUFFER_LENGTH];
int Win32_Client::buffer_index=0;

char crapbuffer[600];
 

void CALLBACK  Win32_Client::idiotic_fucking_windows_callback(HMIDIIN handle, UINT uMsg, DWORD dwInstance, DWORD dwParam1, DWORD dwParam2) {

		DWORD data;

		printf("I got a callback, hooray\n");
	
		if (uMsg!=MIM_DATA) return; // only midi events allowed
	
		buffer[buffer_index]=dwParam1; //windows could be nice and give me parsed info that I can poll.. but no.. oh well. read the alsa client to learn how a proper midi API works.
		buffer_index++;
		if (buffer_index>BUFFER_LENGTH) {

			printf("Midi input buffer is full!!\n");
			buffer_index--;
		};
}

bool Win32_Client::events_pending() {

	return (buffer_index!=0);
}
DWORD Win32_Client::get_event() {
	
	if (buffer_index>0) {
		
		buffer_index--;
		return buffer[buffer_index];
	}
	
	printf("Midi input buffer is empty and poll attempted!\n");
	return 0;
	
}

void Win32_Client::create_port() {
	
	int max_device_count;
	max_device_count = midiInGetNumDevs();
	MIDIHDR midi_header; //why is it a header?
	if (max_device_count==0) {
		
			printf("No midi IN devices aviable!!\n");
			return;
	}
	
	selected_device=-1;	
//	selected_device=0;


	
	while ((selected_device<0) || (selected_device>=max_device_count)) {
		
		printf("Please select a Midi IN device from the list below:\n\n");
	
		for (int i = 0; i < max_device_count; i++) {
	
			MIDIINCAPS     mic;
			
			if (!midiInGetDevCaps(i, &mic, sizeof(MIDIINCAPS))) {
		 
				printf("%i- %s\n", i, mic.szPname);
			}
		  }

		scanf("%i",&selected_device);
	  }

	   if (midiInOpen(&handle, selected_device, (DWORD)idiotic_fucking_windows_callback, 0, CALLBACK_FUNCTION)) {
		   
			   printf("cant open midi device.. sorry\n");
			   return;
	   }

          midi_header.lpData=crapbuffer;                        
          midi_header.dwBufferLength=600;
          midi_header.dwFlags=0;


	  if (midiInPrepareHeader(handle, &midi_header, sizeof(MIDIHDR))) {

		printf("Cant prepare the midi header! (whathever this means)\n");
		return;
	  }	
	

          if (midiInAddBuffer(handle, &midi_header, sizeof(MIDIHDR))) {

		printf("Cant setup buffer for midi in\n");
		return;
	  }
	  if (midiInStart(handle)) {

		printf("Cant start recording midi!\n");
	  }	
	   
};


void Win32_Client::dispatch_events() {
	
	while (events_pending()) {

		DWORD event = get_event();
		printf("got event %x\n",event);

		switch (event&0xF0) {

			case 0x90: { //noteon

				/*                  channel | note | velocity */
				midi_event->note_on(event&0xF,(event>>8)&0xFF,(event>>16)&0xFF);			 
			} break;
			case 0x80: { //noteoff

				/*                  channel | note | velocity */
				midi_event->note_off(event&0xF,(event>>8)&0xFF,(event>>16)&0xFF);			 
			} break;
			case 0xC0: { //program change

				/*                  channel | program*/
				midi_event->program_change(event&0xF,(event>>8)&0xFF);
			} break;
		}

	}
};
#endif